# Method: projects.locations.global.managedZones.create

- [HTTP request](https://docs.cloud.google.com/integration-connectors/docs/reference/rest/v1/projects.locations.global.managedZones/create#body.HTTP_TEMPLATE)
- [Path parameters](https://docs.cloud.google.com/integration-connectors/docs/reference/rest/v1/projects.locations.global.managedZones/create#body.PATH_PARAMETERS)
- [Query parameters](https://docs.cloud.google.com/integration-connectors/docs/reference/rest/v1/projects.locations.global.managedZones/create#body.QUERY_PARAMETERS)
- [Request body](https://docs.cloud.google.com/integration-connectors/docs/reference/rest/v1/projects.locations.global.managedZones/create#body.request_body)
- [Response body](https://docs.cloud.google.com/integration-connectors/docs/reference/rest/v1/projects.locations.global.managedZones/create#body.response_body)
- [Authorization scopes](https://docs.cloud.google.com/integration-connectors/docs/reference/rest/v1/projects.locations.global.managedZones/create#body.aspect)
- [Try it!](https://docs.cloud.google.com/integration-connectors/docs/reference/rest/v1/projects.locations.global.managedZones/create#try-it)

Creates a new ManagedZone in a given project and location.

### HTTP request

`POST https://connectors.googleapis.com/v1/{parent=projects/*/locations/global}/managedZones`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `parent` | `string` Required. Parent resource of the ManagedZone, of the form: `projects/*/locations/global` Authorization requires the following [IAM](https://cloud.google.com/iam/docs/) permission on the specified resource `parent`: - `connectors.managedZones.create` |

### Query parameters

| Parameters ||
|---|---|
| `managedZoneId` | `string` Required. Identifier to assign to the ManagedZone. Must be unique within scope of the parent resource. |

### Request body

The request body contains an instance of `https://docs.cloud.google.com/integration-connectors/docs/reference/rest/v1/projects.locations.global.managedZones#ManagedZone`.

### Response body

If successful, the response body contains a newly created instance of `https://docs.cloud.google.com/integration-connectors/docs/reference/rest/v1/projects.locations.operations#Operation`.

### Authorization scopes

Requires the following OAuth scope:

- `https://www.googleapis.com/auth/cloud-platform`

For more information, see the [Authentication Overview](https://docs.cloud.google.com/docs/authentication#authorization-gcp).